/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
----------------------------------------------------------------------------- */


#ifndef	__NUI_WIDGET_SPACER__
#define	__NUI_WIDGET_SPACER__


		#include "ui/widget.h"


namespace GS {
	namespace S2D {

/*!
	@short	Spacer widget.
	@author	Emmanuel Julien (ejulien@nworks.fr)
*/
struct	SpacerWidget : public Widget
{
		void		Invalidate() { dirty = true; }

virtual	void		Refresh() {}
virtual	void		Compose(Picture &, const iRect &out_rect)
		{
			dirty = false;
			rect = out_rect;
		}

		SpacerWidget(int id = -1) : Widget(id)
		{
			type = WidgetTypeSpacer;
			format.Set(0.5, 0.5);
		}
};

	} // S2D
} // GS


#endif	// __NUI_WIDGET_SPACER__
